API Reference

The SteamData Connect API provides powerful access to Steam game data.

Base URL: https://endpoint.steamdata.ai/api/v1

Authentication

All requests require your API key in the header (Bearer Token preferred):

Authorization: Bearer your_api_key_here

Or use:

X-API-Key: your_api_key_here

Core Endpoints

Each call consumes credits based on complexity — see Credits & API Costs

MethodEndpointDescriptionCredits
GET/apps/{appid}Get game details1
GET/apps/{appid}/localizedGet localized game info1
GET/apps/{appid}/localized-namesLocalized app names1
GET/apps/{appid}/timeseriesGet game time-series data2
GET/apps/{appid}/timeseries/snapshotGet game time-series snapshot2
GET/apps/{appid}/reviewsList app reviews2
GET/apps/{appid}/insightsAI game insights (LLM inference)10
POST/apps/batchBatch fetch games2
POST/apps/searchSearch games2
POST/apps/listFilter game list2
GET/reviews/{rid}Get review by ID1
GET/ranksGet rank list1
POST/categoriesBatch get categories1
POST/genresBatch get genres1
POST/tagsBatch get tags1
GET/developers/{name}Get developer info1
GET/developers/{name}/appsDeveloper app list2
GET/developers/{name}/timeseriesDeveloper time-series data2
POST/developers/searchSearch developers2
GET/publishers/{name}Get publisher info1
GET/publishers/{name}/appsPublisher app list2
GET/publishers/{name}/timeseriesPublisher time-series data2
POST/publishers/searchSearch publishers2
GET/demos/{demoid}Get demo details1
GET/demos/{demoid}/localizedGet localized demo info1
GET/demos/{demoid}/localized-namesLocalized demo names1
POST/demos/batchBatch fetch demos2
POST/demos/searchSearch demos2
POST/demos/listFilter demo list2
GET/tags/{tag_id}/analysisTag analysis over time range6
GET/analytics/overview⚠️ team · Financial overview KPI2
GET/analytics/trends/revenue⚠️ team · Revenue/units trends2
GET/analytics/by-game/financial⚠️ team · Per-game financial comparison2
GET/analytics/wishlist/kpi⚠️ team · Wishlist KPI summary2
GET/analytics/wishlist/trends⚠️ team · Wishlist trends over time2
GET/analytics/by-game/wishlist⚠️ team · Per-game wishlist comparison2
GET/analytics/games⚠️ team · Available games list1

Try it live: Open Swagger UI (interactive API testing)